Bug 1946039 - runc: FTBFS in Fedora rawhide/f35 + f34
Summary: runc: FTBFS in Fedora rawhide/f35 + f34
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: runc
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FTBFS F35FTBFS, RAWHIDEFTBFS F34FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2021-04-03 18:43 UTC by Neal Gompa
Modified: 2021-04-06 01:03 UTC (History)
12 users (show)

Fixed In Version: runc-1.0.0-375.dev.git12644e6.fc34 runc-1.0.0-375.dev.git12644e6.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-06 00:15:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Neal Gompa 2021-04-03 18:43:25 UTC
runc failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/buildinfo?buildID=1702037

Please fix runc at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
runc will be orphaned. Before branching of Fedora 35,
runc will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Update System 2021-04-05 17:35:02 UTC
FEDORA-2021-b4560c953f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b4560c953f

Comment 2 Fedora Update System 2021-04-05 17:35:19 UTC
FEDORA-2021-fdb2a2b151 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-fdb2a2b151

Comment 3 Fedora Blocker Bugs Application 2021-04-05 17:38:04 UTC
Proposed as a Freeze Exception for 34-final by Fedora user ngompa using the blocker tracking app because:

 Fixes the FTBFS for runc that has been occurring for months

Comment 4 Fedora Update System 2021-04-06 00:15:40 UTC
FEDORA-2021-b4560c953f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2021-04-06 01:03:49 UTC
FEDORA-2021-fdb2a2b151 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.